Public APIAPI ReferenceBilling

Get usage for the current billing period.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/teams/{teamId}/usage/current

Users with the owner, member, or billing role can retrieve the included usage allowances and estimated charges for the current period.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Path Parameters

teamId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/teams/string/usage/current"
{  "cost_preview_unavailable_reason": "string",  "enforcement": "string",  "included": {    "property1": {      "billing_units": "string",      "raw": 0,      "unit": "string"    },    "property2": {      "billing_units": "string",      "raw": 0,      "unit": "string"    }  },  "period_end": "2019-08-24T14:15:22Z",  "period_start": "2019-08-24T14:15:22Z",  "plan": {    "cdn_mode": "string",    "currency": "string",    "currency_minor_digits": 0,    "cycle_anchor": "2019-08-24T14:15:22Z",    "flat_tier": "string",    "next_flat_tier": "string",    "pending_cdn_mode": "string",    "pending_currency": "string",    "pending_currency_minor_digits": 0,    "pending_flat_tier": "string",    "plan": "string",    "team_id": "string"  },  "projected_total_minor": 0,  "statement_preview": {    "currency": "string",    "currency_minor_digits": 0,    "lines": [      {        "amount_minor": 0,        "description": "string",        "kind": "string",        "metric": "string",        "quantity": "string",        "region": "string",        "unit": "string",        "unit_price": "string"      }    ],    "period_end": "2019-08-24T14:15:22Z",    "period_start": "2019-08-24T14:15:22Z",    "plan": "string",    "team_id": "string",    "total_minor": 0  },  "totals": {    "property1": {      "billing_units": "string",      "raw": 0,      "unit": "string"    },    "property2": {      "billing_units": "string",      "raw": 0,      "unit": "string"    }  }}